Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Other useless copyright notice updates
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27 VPATH = @srcdir@
28 pkgdatadir = $(datadir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkgincludedir = $(includedir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 target_triplet = @target@
46 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/print_null.m4 \
58         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = run_tests
64 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
65         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
66 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
67         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
68         surf/surf_usage2$(EXEEXT)
69 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
70 simdag_sd_test_SOURCES = simdag/sd_test.c
71 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
72 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
73 am__dirstamp = $(am__leading_dot)dirstamp
74 surf_lmm_usage_SOURCES = surf/lmm_usage.c
75 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
76 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
78 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
79 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
80 surf_surf_usage_SOURCES = surf/surf_usage.c
81 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
82 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
83 surf_surf_usage2_SOURCES = surf/surf_usage2.c
84 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
85 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
86 surf_trace_usage_SOURCES = surf/trace_usage.c
87 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
88 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_context_usage_SOURCES = xbt/context_usage.c
90 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
91 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
92 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
93 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
94 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
95 xbt_heap_bench_SOURCES = xbt/heap_bench.c
96 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
97 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
98 xbt_log_usage_SOURCES = xbt/log_usage.c
99 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
100 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
101 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
102 depcomp = $(SHELL) $(top_srcdir)/depcomp
103 am__depfiles_maybe = depfiles
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
107         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
108         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
109 CCLD = $(CC)
110 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
111         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
112         $(LDFLAGS) -o $@
113 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
114         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
115         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
116         xbt/log_usage.c
117 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
118         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
119         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
120         xbt/log_usage.c
121 ETAGS = etags
122 CTAGS = ctags
123 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
124 ACLOCAL = @ACLOCAL@
125 ADDR2LINE = @ADDR2LINE@
126 AMTAR = @AMTAR@
127 AM_CPPFLAGS = @AM_CPPFLAGS@
128 AR = @AR@
129 AS = @AS@
130 AUTOCONF = @AUTOCONF@
131 AUTOHEADER = @AUTOHEADER@
132 AUTOMAKE = @AUTOMAKE@
133 AWK = @AWK@
134 BASH = @BASH@
135 CC = @CC@
136 CCDEPMODE = @CCDEPMODE@
137 CFLAGS = @CFLAGS@
138 CPP = @CPP@
139 CPPFLAGS = @CPPFLAGS@
140 CXX = @CXX@
141 CXXCPP = @CXXCPP@
142 CXXDEPMODE = @CXXDEPMODE@
143 CXXFLAGS = @CXXFLAGS@
144 CYGPATH_W = @CYGPATH_W@
145 DEFS = @DEFS@
146 DEPDIR = @DEPDIR@
147 DLLTOOL = @DLLTOOL@
148 DOXYGEN = @DOXYGEN@
149 ECHO = @ECHO@
150 ECHO_C = @ECHO_C@
151 ECHO_N = @ECHO_N@
152 ECHO_T = @ECHO_T@
153 EGREP = @EGREP@
154 EXEEXT = @EXEEXT@
155 FLEXML = @FLEXML@
156 GCJ = @GCJ@
157 GCJDEPMODE = @GCJDEPMODE@
158 GCJFLAGS = @GCJFLAGS@
159 GRAS_DEP = @GRAS_DEP@
160 GREP = @GREP@
161 INSTALL = @INSTALL@
162 INSTALL_DATA = @INSTALL_DATA@
163 INSTALL_PROGRAM = @INSTALL_PROGRAM@
164 INSTALL_SCRIPT = @INSTALL_SCRIPT@
165 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
166 JAR = @JAR@
167 JAVA = @JAVA@
168 JAVAC = @JAVAC@
169 LDFLAGS = @LDFLAGS@
170 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
171 LEX = @LEX@
172 LEXLIB = @LEXLIB@
173 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
174 LIBOBJS = @LIBOBJS@
175 LIBS = @LIBS@
176 LIBTOOL = @LIBTOOL@
177 LN_S = @LN_S@
178 LTLIBOBJS = @LTLIBOBJS@
179 MAINT = @MAINT@
180 MAKEINFO = @MAKEINFO@
181 MD5SUM = @MD5SUM@
182 MKDIR_P = @MKDIR_P@
183 OBJDUMP = @OBJDUMP@
184 OBJEXT = @OBJEXT@
185 PACKAGE = @PACKAGE@
186 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
187 PACKAGE_NAME = @PACKAGE_NAME@
188 PACKAGE_STRING = @PACKAGE_STRING@
189 PACKAGE_TARNAME = @PACKAGE_TARNAME@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
192 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
193 RANLIB = @RANLIB@
194 SET_MAKE = @SET_MAKE@
195 SHELL = @SHELL@
196 SIMGRID_DEP = @SIMGRID_DEP@
197 SMPI_DEP = @SMPI_DEP@
198 STRIP = @STRIP@
199 VERSION = @VERSION@
200 WARNING = @WARNING@
201 abs_builddir = @abs_builddir@
202 abs_srcdir = @abs_srcdir@
203 abs_top_builddir = @abs_top_builddir@
204 abs_top_srcdir = @abs_top_srcdir@
205 ac_configure_args = @ac_configure_args@
206 ac_ct_CC = @ac_ct_CC@
207 ac_ct_CXX = @ac_ct_CXX@
208 am__include = @am__include@
209 am__leading_dot = @am__leading_dot@
210 am__quote = @am__quote@
211 am__tar = @am__tar@
212 am__untar = @am__untar@
213 bindir = @bindir@
214 build = @build@
215 build_alias = @build_alias@
216 build_cpu = @build_cpu@
217 build_id = @build_id@
218 build_os = @build_os@
219 build_vendor = @build_vendor@
220 builddir = @builddir@
221 datadir = @datadir@
222 datarootdir = @datarootdir@
223 docdir = @docdir@
224 dvidir = @dvidir@
225 exec_prefix = @exec_prefix@
226 host = @host@
227 host_alias = @host_alias@
228 host_cpu = @host_cpu@
229 host_os = @host_os@
230 host_vendor = @host_vendor@
231 htmldir = @htmldir@
232 includedir = @includedir@
233 infodir = @infodir@
234 install_sh = @install_sh@
235 libdir = @libdir@
236 libexecdir = @libexecdir@
237 localedir = @localedir@
238 localstatedir = @localstatedir@
239 mandir = @mandir@
240 mkdir_p = @mkdir_p@
241 oldincludedir = @oldincludedir@
242 pdfdir = @pdfdir@
243 prefix = @prefix@
244 program_transform_name = @program_transform_name@
245 psdir = @psdir@
246 pth_skaddr_makecontext = @pth_skaddr_makecontext@
247 pth_sksize_makecontext = @pth_sksize_makecontext@
248 sbindir = @sbindir@
249 sharedstatedir = @sharedstatedir@
250 srcdir = @srcdir@
251 sysconfdir = @sysconfdir@
252 target = @target@
253 target_alias = @target_alias@
254 target_cpu = @target_cpu@
255 target_os = @target_os@
256 target_vendor = @target_vendor@
257 top_builddir = @top_builddir@
258 top_srcdir = @top_srcdir@
259 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
260 AM_CFLAGS = -g
261 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
262 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
263 EXTRA_DIST = run_tests.in \
264   xbt/graph.xml \
265   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
266   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
267
268
269 # Test stuff
270 xbt_tests = \
271         xbt/log_usage                                            \
272         xbt/heap_bench                                           \
273         xbt/graphxml_usage                                       \
274         xbt/context_usage                                        
275
276 SG_tests = \
277         surf/maxmin_bench surf/lmm_usage \
278         surf/trace_usage surf/surf_usage surf/surf_usage2
279
280 simdag_tests = simdag/sd_test
281 check_SCRIPTS = run_tests 
282 TESTS = run_tests
283
284 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
285 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
286 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
287 xbt_log_usage_LDADD = $(LDADD_RL)
288 xbt_heap_bench_LDADD = $(LDADD_RL)
289 xbt_graphxml_usage_LDADD = $(LDADD_SG)
290 xbt_context_usage_LDADD = $(LDADD_SG)
291 surf_maxmin_bench_LDADD = $(LDADD_SG)
292 surf_lmm_usage_LDADD = $(LDADD_SG)
293 surf_trace_usage_LDADD = $(LDADD_SG)
294 surf_surf_usage_LDADD = $(LDADD_SG)
295 surf_surf_usage2_LDADD = $(LDADD_SG)
296 simdag_sd_test_LDADD = $(LDADD_SG)
297 all: all-am
298
299 .SUFFIXES:
300 .SUFFIXES: .c .lo .o .obj
301 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
302         @for dep in $?; do \
303           case '$(am__configure_deps)' in \
304             *$$dep*) \
305               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
306                 && exit 0; \
307               exit 1;; \
308           esac; \
309         done; \
310         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
311         cd $(top_srcdir) && \
312           $(AUTOMAKE) --gnu  testsuite/Makefile
313 .PRECIOUS: Makefile
314 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
315         @case '$?' in \
316           *config.status*) \
317             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
318           *) \
319             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
320             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
321         esac;
322
323 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
324         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
325
326 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
327         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
328 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
329         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
330 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
331         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
332
333 clean-checkPROGRAMS:
334         @list='$(check_PROGRAMS)'; for p in $$list; do \
335           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
336           echo " rm -f $$p $$f"; \
337           rm -f $$p $$f ; \
338         done
339 simdag/$(am__dirstamp):
340         @$(MKDIR_P) simdag
341         @: > simdag/$(am__dirstamp)
342 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
343         @rm -f simdag/sd_test$(EXEEXT)
344         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
345 surf/$(am__dirstamp):
346         @$(MKDIR_P) surf
347         @: > surf/$(am__dirstamp)
348 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
349         @rm -f surf/lmm_usage$(EXEEXT)
350         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
351 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
352         @rm -f surf/maxmin_bench$(EXEEXT)
353         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
354 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
355         @rm -f surf/surf_usage$(EXEEXT)
356         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
357 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
358         @rm -f surf/surf_usage2$(EXEEXT)
359         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
360 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
361         @rm -f surf/trace_usage$(EXEEXT)
362         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
363 xbt/$(am__dirstamp):
364         @$(MKDIR_P) xbt
365         @: > xbt/$(am__dirstamp)
366 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
367         @rm -f xbt/context_usage$(EXEEXT)
368         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
369 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
370         @rm -f xbt/graphxml_usage$(EXEEXT)
371         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
372 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
373         @rm -f xbt/heap_bench$(EXEEXT)
374         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
375 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
376         @rm -f xbt/log_usage$(EXEEXT)
377         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
378
379 mostlyclean-compile:
380         -rm -f *.$(OBJEXT)
381
382 distclean-compile:
383         -rm -f *.tab.c
384
385 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
395
396 .c.o:
397 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
398 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
399 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
400 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
401 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
402
403 .c.obj:
404 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
405 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
406 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
407 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
408 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
409
410 .c.lo:
411 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
412 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
413 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
415 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
416
417 sd_test.o: simdag/sd_test.c
418 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
419 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
420 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
422 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
423
424 sd_test.obj: simdag/sd_test.c
425 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
426 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
427 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
428 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
429 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
430
431 lmm_usage.o: surf/lmm_usage.c
432 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
433 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
434 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
436 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
437
438 lmm_usage.obj: surf/lmm_usage.c
439 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
440 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
441 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
443 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
444
445 maxmin_bench.o: surf/maxmin_bench.c
446 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
447 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
448 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
449 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
450 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
451
452 maxmin_bench.obj: surf/maxmin_bench.c
453 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
454 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
455 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
456 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
457 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
458
459 surf_usage.o: surf/surf_usage.c
460 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
461 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
462 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
464 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
465
466 surf_usage.obj: surf/surf_usage.c
467 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
468 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
469 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
471 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
472
473 surf_usage2.o: surf/surf_usage2.c
474 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
475 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
476 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
478 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
479
480 surf_usage2.obj: surf/surf_usage2.c
481 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
482 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
483 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
485 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
486
487 trace_usage.o: surf/trace_usage.c
488 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
489 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
490 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
492 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
493
494 trace_usage.obj: surf/trace_usage.c
495 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
496 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
497 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
499 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
500
501 context_usage.o: xbt/context_usage.c
502 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
503 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
504 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
506 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
507
508 context_usage.obj: xbt/context_usage.c
509 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
510 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
514
515 graphxml_usage.o: xbt/graphxml_usage.c
516 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
517 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
520 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
521
522 graphxml_usage.obj: xbt/graphxml_usage.c
523 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
524 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
528
529 heap_bench.o: xbt/heap_bench.c
530 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
531 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
535
536 heap_bench.obj: xbt/heap_bench.c
537 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
538 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
542
543 log_usage.o: xbt/log_usage.c
544 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
545 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
549
550 log_usage.obj: xbt/log_usage.c
551 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
552 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
556
557 mostlyclean-libtool:
558         -rm -f *.lo
559
560 clean-libtool:
561         -rm -rf .libs _libs
562
563 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
564         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
565         unique=`for i in $$list; do \
566             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
567           done | \
568           $(AWK) '    { files[$$0] = 1; } \
569                END { for (i in files) print i; }'`; \
570         mkid -fID $$unique
571 tags: TAGS
572
573 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
574                 $(TAGS_FILES) $(LISP)
575         tags=; \
576         here=`pwd`; \
577         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
578         unique=`for i in $$list; do \
579             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
580           done | \
581           $(AWK) '    { files[$$0] = 1; } \
582                END { for (i in files) print i; }'`; \
583         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
584           test -n "$$unique" || unique=$$empty_fix; \
585           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
586             $$tags $$unique; \
587         fi
588 ctags: CTAGS
589 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
590                 $(TAGS_FILES) $(LISP)
591         tags=; \
592         here=`pwd`; \
593         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
594         unique=`for i in $$list; do \
595             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
596           done | \
597           $(AWK) '    { files[$$0] = 1; } \
598                END { for (i in files) print i; }'`; \
599         test -z "$(CTAGS_ARGS)$$tags$$unique" \
600           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
601              $$tags $$unique
602
603 GTAGS:
604         here=`$(am__cd) $(top_builddir) && pwd` \
605           && cd $(top_srcdir) \
606           && gtags -i $(GTAGS_ARGS) $$here
607
608 distclean-tags:
609         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
610
611 check-TESTS: $(TESTS)
612         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
613         srcdir=$(srcdir); export srcdir; \
614         list=' $(TESTS) '; \
615         if test -n "$$list"; then \
616           for tst in $$list; do \
617             if test -f ./$$tst; then dir=./; \
618             elif test -f $$tst; then dir=; \
619             else dir="$(srcdir)/"; fi; \
620             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
621               all=`expr $$all + 1`; \
622               case " $(XFAIL_TESTS) " in \
623               *$$ws$$tst$$ws*) \
624                 xpass=`expr $$xpass + 1`; \
625                 failed=`expr $$failed + 1`; \
626                 echo "XPASS: $$tst"; \
627               ;; \
628               *) \
629                 echo "PASS: $$tst"; \
630               ;; \
631               esac; \
632             elif test $$? -ne 77; then \
633               all=`expr $$all + 1`; \
634               case " $(XFAIL_TESTS) " in \
635               *$$ws$$tst$$ws*) \
636                 xfail=`expr $$xfail + 1`; \
637                 echo "XFAIL: $$tst"; \
638               ;; \
639               *) \
640                 failed=`expr $$failed + 1`; \
641                 echo "FAIL: $$tst"; \
642               ;; \
643               esac; \
644             else \
645               skip=`expr $$skip + 1`; \
646               echo "SKIP: $$tst"; \
647             fi; \
648           done; \
649           if test "$$failed" -eq 0; then \
650             if test "$$xfail" -eq 0; then \
651               banner="All $$all tests passed"; \
652             else \
653               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
654             fi; \
655           else \
656             if test "$$xpass" -eq 0; then \
657               banner="$$failed of $$all tests failed"; \
658             else \
659               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
660             fi; \
661           fi; \
662           dashes="$$banner"; \
663           skipped=""; \
664           if test "$$skip" -ne 0; then \
665             skipped="($$skip tests were not run)"; \
666             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
667               dashes="$$skipped"; \
668           fi; \
669           report=""; \
670           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
671             report="Please report to $(PACKAGE_BUGREPORT)"; \
672             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
673               dashes="$$report"; \
674           fi; \
675           dashes=`echo "$$dashes" | sed s/./=/g`; \
676           echo "$$dashes"; \
677           echo "$$banner"; \
678           test -z "$$skipped" || echo "$$skipped"; \
679           test -z "$$report" || echo "$$report"; \
680           echo "$$dashes"; \
681           test "$$failed" -eq 0; \
682         else :; fi
683
684 distdir: $(DISTFILES)
685         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
686         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
687         list='$(DISTFILES)'; \
688           dist_files=`for file in $$list; do echo $$file; done | \
689           sed -e "s|^$$srcdirstrip/||;t" \
690               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
691         case $$dist_files in \
692           */*) $(MKDIR_P) `echo "$$dist_files" | \
693                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
694                            sort -u` ;; \
695         esac; \
696         for file in $$dist_files; do \
697           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
698           if test -d $$d/$$file; then \
699             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
700             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
701               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
702             fi; \
703             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
704           else \
705             test -f $(distdir)/$$file \
706             || cp -p $$d/$$file $(distdir)/$$file \
707             || exit 1; \
708           fi; \
709         done
710 check-am: all-am
711         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
712         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
713 check: check-am
714 all-am: Makefile
715 installdirs:
716 install: install-am
717 install-exec: install-exec-am
718 install-data: install-data-am
719 uninstall: uninstall-am
720
721 install-am: all-am
722         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
723
724 installcheck: installcheck-am
725 install-strip:
726         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
727           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
728           `test -z '$(STRIP)' || \
729             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
730 mostlyclean-generic:
731
732 clean-generic:
733         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
734
735 distclean-generic:
736         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
737         -rm -f simdag/$(am__dirstamp)
738         -rm -f surf/$(am__dirstamp)
739         -rm -f xbt/$(am__dirstamp)
740         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
741
742 maintainer-clean-generic:
743         @echo "This command is intended for maintainers to use"
744         @echo "it deletes files that may require special tools to rebuild."
745 clean: clean-am
746
747 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
748         mostlyclean-am
749
750 distclean: distclean-am
751         -rm -rf ./$(DEPDIR)
752         -rm -f Makefile
753 distclean-am: clean-am distclean-compile distclean-generic \
754         distclean-tags
755
756 dvi: dvi-am
757
758 dvi-am:
759
760 html: html-am
761
762 info: info-am
763
764 info-am:
765
766 install-data-am:
767
768 install-dvi: install-dvi-am
769
770 install-exec-am:
771
772 install-html: install-html-am
773
774 install-info: install-info-am
775
776 install-man:
777
778 install-pdf: install-pdf-am
779
780 install-ps: install-ps-am
781
782 installcheck-am:
783
784 maintainer-clean: maintainer-clean-am
785         -rm -rf ./$(DEPDIR)
786         -rm -f Makefile
787 maintainer-clean-am: distclean-am maintainer-clean-generic
788
789 mostlyclean: mostlyclean-am
790
791 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
792         mostlyclean-libtool
793
794 pdf: pdf-am
795
796 pdf-am:
797
798 ps: ps-am
799
800 ps-am:
801
802 uninstall-am:
803
804 .MAKE: install-am install-strip
805
806 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
807         clean-checkPROGRAMS clean-generic clean-libtool ctags \
808         distclean distclean-compile distclean-generic \
809         distclean-libtool distclean-tags distdir dvi dvi-am html \
810         html-am info info-am install install-am install-data \
811         install-data-am install-dvi install-dvi-am install-exec \
812         install-exec-am install-html install-html-am install-info \
813         install-info-am install-man install-pdf install-pdf-am \
814         install-ps install-ps-am install-strip installcheck \
815         installcheck-am installdirs maintainer-clean \
816         maintainer-clean-generic mostlyclean mostlyclean-compile \
817         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
818         tags uninstall uninstall-am
819
820
821 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
822         ./run_tests
823 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
824         ./run_tests valgrind
825
826 dist-files:
827         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
828         @echo
829         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
830 # Tell versions [3.59,3.63) of GNU make to not export all variables.
831 # Otherwise a system limit (for SysV at least) may be exceeded.
832 .NOEXPORT: